Loading...
Searching...
No Matches
formatString.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <globjects/globjects_api.h>`
`#include <globjects/base/formatString.inl>`

Go to the source code of this file.

## Namespaces

namespace | globjects
| Contains all the classes that wrap OpenGL functionality.

## Functions

GLOBJECTS_API int | globjects::readInt (const char *str, int &number)
GLOBJECTS_API void | globjects::parseFormat (std::ostream &stream, const char *&format)
GLOBJECTS_API void | globjects::streamprintf (std::ostream &stream, const char *format)
template<typename T , typename... Args>
void | globjects::streamprintf (std::ostream &stream, const char *format, const T &value, Args... args)
template<typename... Args>
std::string | globjects::formatString (const char *format, Args... args)